package pokus.sd;

import java.net.InetAddress;

import pokus.sd.Landmark;

public class Host extends Landmark {

	private double computedLat = Double.NaN;
	private double computedLng = Double.NaN;
	
	public Host(boolean isFixed) {
		super(isFixed);
	}
	
	public Host(boolean isFixed, InetAddress localHost, double lat, double lng) {
		super(isFixed, localHost, lat, lng);
	}

	public void setComputedLatitude(double computedLat) {
		this.computedLat = computedLat;
	}

	public void setComputedLongitude(double computedLng) {
		this.computedLng = computedLng;
	}

	public double getComputedLatitude() {
		return computedLat;
	}

	public double getComputedLongitude() {
		return computedLng;
	}

}
